Bug 500046 - Review Request: perl-Catalyst-View-Mason - Mason View Class
Summary: Review Request: perl-Catalyst-View-Mason - Mason View Class
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Catalyst-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-10 12:22 UTC by Iain Arnell
Modified: 2009-05-20 00:52 UTC (History)
3 users (show)

Fixed In Version: 0.17-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-11 03:33:01 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2009-05-10 12:22:39 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Catalyst-View-Mason.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Catalyst-View-Mason-0.17-1.fc12.src.rpm

Description:
Want to use a Mason component in your Catalyst views? No problem!
Catalyst::View::Mason comes to the rescue.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1346168

*rt-0.09

Comment 1 Parag AN(पराग) 2009-05-10 16:08:02 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1346168
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
260a485796d29a6f06a80a699db85e050982622d  Catalyst-View-Mason-0.17.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=19, Tests=82, 13 wallclock secs ( 0.14 usr  0.04 sys + 11.25 cusr  0.82 csys = 12.25 CPU)
+ Package perl-Catalyst-View-Mason-0.17-1.fc12.noarch =>
Provides: perl(Catalyst::Helper::View::Mason) = 0.13 perl(Catalyst::View::Mason) = 0.17
Requires: perl(File::Spec) perl(HTML::Mason) perl(MRO::Compat) perl(Scalar::Util) perl(base) perl(strict) perl(warnings)

APPROVED.

Comment 2 Iain Arnell 2009-05-10 16:46:04 UTC
New Package CVS Request
=======================
Package Name: perl-Catalyst-View-Mason
Short Description: Mason View Class
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-05-10 19:26:45 UTC
cvs done.

Comment 4 Fedora Update System 2009-05-11 03:25:30 UTC
perl-Catalyst-View-Mason-0.17-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Catalyst-View-Mason-0.17-1.fc11

Comment 5 Fedora Update System 2009-05-11 03:25:35 UTC
perl-Catalyst-View-Mason-0.17-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Catalyst-View-Mason-0.17-1.fc10

Comment 6 Iain Arnell 2009-05-11 03:33:01 UTC
Thanks for the review! :-)

Comment 7 Fedora Update System 2009-05-20 00:51:10 UTC
perl-Catalyst-View-Mason-0.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-05-20 00:51:55 UTC
perl-Catalyst-View-Mason-0.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.